ompi/mca/rcache/rcache.h File Reference.TH "ompi/mca/rcache/rcache.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/rcache/rcache.h \- Description of the Registration Cache framework. 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'info/info.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'mca/mpool/mpool.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_RCACHE_BASE_VERSION_1_0_0\fP"
.br
.RI "\fIMacro for use in components that are of type rcache v1.0.0. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_rcache_base_module_t\fP *(* \fBmca_rcache_base_component_init_fn_t\fP )(void)"
.br
.RI "\fIcomponent initialize \fP"
.ti -1c
.RI "typedef int(* \fBmca_rcache_base_module_find_fn_t\fP )(struct \fBmca_rcache_base_module_t\fP *rcache, void *addr, size_t size, \fBompi_pointer_array_t\fP *regs, uint32_t *cnt)"
.br
.ti -1c
.RI "typedef int(* \fBmca_rcache_base_module_insert_fn_t\fP )(struct \fBmca_rcache_base_module_t\fP *rcache, mca_mpool_base_registration_t *registration, uint32_t flags)"
.br
.ti -1c
.RI "typedef int(* \fBmca_rcache_base_module_delete_fn_t\fP )(struct \fBmca_rcache_base_module_t\fP *rcache, mca_mpool_base_registration_t *registration, uint32_t flags)"
.br
.ti -1c
.RI "typedef void(* \fBmca_rcache_base_module_finalize_fn_t\fP )(struct \fBmca_rcache_base_module_t\fP *)"
.br
.RI "\fIfinalize \fP"
.ti -1c
.RI "typedef \fBmca_rcache_base_component_1_0_0_t\fP \fBmca_rcache_base_component_1_0_0_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_rcache_base_component_1_0_0_t\fP \fBmca_rcache_base_component_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_rcache_base_module_t\fP \fBmca_rcache_base_module_t\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Description of the Registration Cache framework. 


.SH "Define Documentation"
.PP 
.SS "#define MCA_RCACHE_BASE_VERSION_1_0_0"
.PP
\fBValue:\fP
.PP
.nf
/* rcache v1.0 is chained to MCA v1.0 */ \
  MCA_BASE_VERSION_1_0_0, \
  /* rcache v1.0 */ \
  'rcache', 1, 0, 0
.fi
Macro for use in components that are of type rcache v1.0.0. 
.PP
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
